test:
	vagrant -v
	test -e Vagrantfile || exit

install:
	cd ./code && npm install

start:
	caddy reload && cd ./code &&  npm start

vagrant-install:
	vagrant ssh -c "cd /vagrant && make install"

vagrant-start:
	vagrant ssh -c "cd /vagrant && make start"

vagrant-psql:
	vagrant ssh -c "cd /vagrant && make psql"

up:
	vagrant up

down:
	vagrant halt && vagrant destroy

# NB: логин пользователем доступен только через host connecton (то есть через хост + порт)
psql:
		PGPASSWORD=passw0rd psql -d hexlet -U hexlet_user -h 127.0.0.1 -p 5432
